Gda.TreeMgrColumns – Gda-6.0 Reference Manual

# TreeMgrColumns

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_tree_mgr_columns_get_type ()" ) ]
public class TreeMgrColumns : TreeManager
Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public Connection connection { owned get; construct; }
- public MetaStore meta_store { owned get; construct; }
- public string schema { construct; }
- public string table_name { construct; }

### Creation methods:

- public TreeMgrColumns (Connection cnc, string schema, string table_name)

### Inherited Members:

All known members inherited from class Gda.TreeManager

- add_manager
- add_new_node_attribute
- create_node

- error_quark
- func
- get_managers

- recursive
- set_node_create_func

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref